#!/bin/sh
#
# metadata_begin
# recipe: HestaiCP
# tags: ubuntu20
# revision: 2
# description_ru: Данные доступа к панели сохранены в файле hestia_credentials.txt
# description_en: Данные доступа к панели сохранены в файле hestia_credentials.txt
# metadata_end
#
# Переменные с данными доступа к панели
USERNAME="your_username"
PASSWORD="your_password"
EMAIL="your_email@example.com"

# Установка HestiaCP
wget https://raw.githubusercontent.com/hestiacp/hestiacp/release/install/hst-install.sh
bash hst-install.sh --with-debs /tmp/hestia-auto-install --interactive no --hostname your_domain.com --email $EMAIL --password $PASSWORD --username $USERNAME

# Запись доступов в файл
echo "Username: $USERNAME" > hestia_credentials.txt
echo "Password: $PASSWORD" >> hestia_credentials.txt
echo "Email: $EMAIL" >> hestia_credentials.txt

# Очистка временных файлов
rm -f hst-install.sh

